# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html

variables:
  JAVA_HOME: "/opt/jdk-12"
  EXPORT_PAGES_DIR: "/var/www/html/"

pages-master:    
  stage: deploy
  script:
    - echo $EXPORT_PAGES_DIR
    - mkdir .public
    - cp -r css .public
    - cp -r img .public
    - cp -r fonts .public
    - cp -r images .public
    - cp -r downloads .public 
    - cp -r js .public
    - cp -r includes .public
    - cp *.html .public
    - mv .public public
    - cp -r public/* "$EXPORT_PAGES_DIR"
  artifacts:
    paths:
      - public
  tags: 
    - production
  only:
    - master

pages-devel:    
  stage: deploy
  script:
    - echo $EXPORT_PAGES_DIR
    - mkdir .public
    - cp -r css .public
    - cp -r images .public
    - cp -r js .public
    - cp -r img .public
    - cp -r downloads .public
    - cp -r fonts .public
    - cp -r includes .public
    - cp *.html .public
    - mv .public public
    - cp -r public/* "$EXPORT_PAGES_DIR"
  artifacts:
    paths:
      - public
  tags: 
    - testing
  only:
    - testing
